Bug 803227 - [abrt] iok-2.1.0-1.fc17: __stpcpy_chk: Process /usr/bin/iok was killed by signal 11 (SIGSEGV)
Summary: [abrt] iok-2.1.0-1.fc17: __stpcpy_chk: Process /usr/bin/iok was killed by sig...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iok
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d772b3d0d87cf0dd8fa21d0b38f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-14 09:23 UTC by A S Alam
Modified: 2013-07-03 01:10 UTC (History)
3 users (show)

Fixed In Version: iok-2.1.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 19:08:02 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (6.44 KB, text/plain)
2012-03-14 09:23 UTC, A S Alam
no flags Details
File: maps (28.47 KB, text/plain)
2012-03-14 09:23 UTC, A S Alam
no flags Details
File: backtrace (15.75 KB, text/plain)
2012-03-14 09:23 UTC, A S Alam
no flags Details

Description A S Alam 2012-03-14 09:23:47 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        iok
crash_function: __stpcpy_chk
executable:     /usr/bin/iok
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
pid:            24543
pwd:            /home/aalam
reason:         Process /usr/bin/iok was killed by signal 11 (SIGSEGV)
time:           ਬੁੱਧਵਾਰ  14 ਮਾਰਚ 2012 02:55:28 ਸ਼ਾਮ IST
uid:            1000
username:       aalam
xsession_errors: 

backtrace:      Text file, 16131 bytes
dso_list:       Text file, 6594 bytes
maps:           Text file, 29154 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:51695fca087c8502a7552a94df36c944cdf74fd1
:6a6f7e91aa12548505e8302f27282865ff2842d3
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:ba411626ac13091abd42b787a74e754ac0188c13
:420ed420ea65f1a2b29d2f66f0037fa959ea0157
:7716bc5c1738194dad6ec6679d05ae3782139288
:2ee2cde50be866ba369f8d72e087de876bba9457
:cb4d385c55c522feae9fb39650f6f365f568796c
:8a58512c2cc89530f70932553442289158de3083
:0b5d9b92db76189b74ae7cdb82008acaed95ee14
:2db82d9ad2a122c6643e9d1ffd07813475bf7596
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:4194f49481485f98de7853b6407338a4393171ac
:87712be648d2d43ea4cd002fe7a859df636f1e13
:dd21f08880cf87ac1242266eb1dd7de0c26265ce
:5700354e05ad144ddb4ea0c243bd50fc199e612d
:658cde0cb9c8a75c6f9dd19482bf4cd214194642
:2c09a3f87a92231b0acabb79968d235d61c36967
:664c922731f6c4cf23487ed919d526230cd4f3c8
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:f0264e76a3f8ec444874b1a23d68c2ecaeba5e1c
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:e3354959e32e471066df83c93f98f33e75198697
:4d9f1e9a6e14bb126793e5796a5951874dd83038
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:d165256ceda157a4b26d699a75915f1b91876acd
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:247132297f287226a24c12e683292f5c94013066
:8e283d5e8a5d6fc31e0d3d4e368a8ab855b39eea
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:4f9a85443f33acbad2eb0068b0d8128b38944b9f
:ecd8e40d27da8c246884cc2c035f43c93db99bbf
:dc97f77dc1397ce4190c83988e15fe8b6d86e30a
:b5797b67e070ac4ccaff8d7180cf635fa0f31cbf
:766fa7124150058af0f9ce4c39148868b4dbb47f
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:473e64bfe079b918b2112531e141d8321733c944
:a9eb9e4d2da6b047bad0601ad65f06ea8afb3603
:7c35310fc506498c612d5d982ab03becc4b4817c
:b1ad69e330862e7b668e2321fe3096c23b54f4de
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:666abf228c966f37766ad17cd64ba794136e9ac9
:d804f8ee47797da9213a92f00cd095ecada8d79f
:598ac1ab8dcdb0bd5573fd4b812713b5ef138892
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:348363b75ba2150fca6a94fb3331dfc75a4f026b
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:76fae8d5d0d0171cf039cff5c0eeaa58fc592df9
:3aa364e64dd370c14adc27be6df2d70960406d7e
:9d1c7da95e98e2ca5903ee0906040094b1214f92
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139

comment:
:[aalam@fedora17 ~]$ LANG=mr_IN.UTF-8
:[aalam@fedora17 ~]$ iok
:No custom keymaps present
:Segmentation fault (core dumped)

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=9
:HOSTNAME=fedora17
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-R41y2E/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2c6fe3c36496b782cbb35f8500000081-1331631999.426084-2109631889
:GJS_DEBUG_OUTPUT=stderr
:G_MESSAGES_DEBUG=all
:WINDOWID=31462365
:GNOME_KEYRING_CONTROL=/tmp/keyring-R41y2E
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=IBus
:USER=aalam
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-R41y2E/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3865,unix/unix:/tmp/.ICE-unix/3865
:USERNAME=aalam
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/aalam/.local/bin:/home/aalam/bin
:MAIL=/var/spool/mail/aalam
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibus
:PWD=/home/aalam
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=3858
:LANG=mr
:''
:N.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=pa_IN.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/aalam
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=aalam
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-t8i83ESfUE,guid=cb41d3c49e39abbd5580b2a900000aec
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/aalam
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-aalam-vZwu1C/database
:_=/usr/bin/iok

var_log_messages:
:Mar 13 13:32:10 fedora17 yum[5166]: Updated: iok-1.3.13-4.fc17.x86_64
:Mar 13 14:35:44 fedora17 yum[2385]: Updated: iok-2.1.0-1.fc17.x86_64
:Mar 13 14:42:34 fedora17 yum[2798]: Installed: gnome-shell-extension-iok-0.20120313-1.fc17.noarch
:Mar 13 15:17:11 fedora17 yum[4554]: Erased: gnome-shell-extension-iok-0.20120313-1.fc17.noarch
:Mar 14 14:55:28 fedora17 kernel: [87924.856922] iok[24543]: segfault at 0 ip 0000003da9905df0 sp 00007fff10cbfeb8 error 4 in libc-2.15.so[3da9800000+1ac000]
:Mar 14 14:55:28 fedora17 abrt[24545]: Saved core dump of pid 24543 (/usr/bin/iok) to /var/spool/abrt/ccpp-2012-03-14-14:55:28-24543 (24870912 bytes)

Comment 1 A S Alam 2012-03-14 09:23:53 UTC
Created attachment 569930 [details]
File: dso_list

Comment 2 A S Alam 2012-03-14 09:23:56 UTC
Created attachment 569931 [details]
File: maps

Comment 3 A S Alam 2012-03-14 09:23:59 UTC
Created attachment 569932 [details]
File: backtrace

Comment 4 Fedora Update System 2012-03-14 10:17:14 UTC
iok-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/iok-2.1.0-2.fc17

Comment 5 Fedora Update System 2012-03-15 05:36:13 UTC
iok-2.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iok-2.1.0-2.fc16

Comment 6 Fedora Update System 2012-03-16 02:39:31 UTC
Package iok-2.1.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iok-2.1.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3777/iok-2.1.0-2.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-21 19:08:02 UTC
iok-2.1.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-31 03:25:33 UTC
iok-2.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.